<?
if ($rating) {
if ($rating=="players") {
$sko="5";
   $ind=0;
                $count=0;
                if ($start<0 || !$start) $start=0;
$online=array_keys($game["players"]);
                foreach($online as $i) {
                        if ($ind>=$start) {
                        if (isset($game["loc"][$game["players"][$i]][$i]["gild"])) {
                                  $z=$game["loc"][$game["players"][$i]][$i]["gild"];
                                  $z=explode("|", $z);
                                  $gi="(".$z[1].")";
                                };
                      $rat[]=$game["loc"][$game["players"][$i]][$i]['status2']."|".$game["loc"][$game["players"][$i]][$i]['status1']."|".$game["loc"][$game["players"][$i]][$i]['title']."|".$gi;
                        unset ($gi, $z);
                        $count++;
                      //  if ($count>=$sko) break;        // след. страница, если слишком много человек или предметов
                        }
                        $ind++;
                        }


    sort($rat, SORT_NUMERIC);
  $rat=array_reverse($rat);
         $ii=1;
  foreach($rat as $i) {
  $d=explode("|", $i);
  //$d[0]=preg_replace("/(\D)/", "", $d[0]);
  //if ($d[2] && $d[1] && $d[0])
  if ($ii!=15) $spase=" "; else $spase="";
            @$ratt[]="$spase".$ii.". <strong>".$d[2]."</strong>(+".$d[0]."м/+".$d[1]."ч)"."<br/>";
          $ii++;
          };


       $online=$ratt;
       $d='';
                       $ind=0;
                $count=0;
                if ($start<0 || !$start) $start=0;
                foreach($online as $i) {
                        if ($ind>=$start) {
                        $d.=$i;
                        $count++;
                        if ($count>=$sko) break;        // след. страница, если слишком много человек или предметов
                        }
                        $ind++;
                        }




  msg("Рейтинг Игроков:<br/>".$d, "Рейтинг Игроков");
 
                };
}
?>